%define	module	urllib3

Summary:	Python HTTP library with thread-safe connection pooling, file post, and more
Name:		python-%{module}
Version:	1.7.1
Release:	%mkrel 3
Source0:	https://pypi.python.org/packages/source/u/%{module}/%{module}-%{version}.tar.gz
# Patch from Fedora to change default behaviour to check SSL certs for validity
Patch0:		python-urllib3-default-ssl-cert-validate.patch
# Patch from Fedora to make all imports of things in packages try system copies first
Patch1:		python-urllib3-unbundle.patch

License:	MIT
Group:		Development/Python
Url:		http://urllib3.readthedocs.org/
BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
Requires:	rootcerts
Requires:	python-six

%description
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%package -n python3-%{module}
Summary:	Python 3 HTTP library with thread-safe connection pooling, file post, and more
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
Requires:	rootcerts
Requires:	python3-six

%description -n python3-%{module}
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%prep
%setup -q -n %{module}-%{version}

%patch0 -p1
%patch1 -p1

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python_sitelib}/dummyserver
# unbundle packages
rm -rf %{buildroot}%{python_sitelib}/urllib3/packages/

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python3_sitelib}/dummyserver
# unbundle packages
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/
popd

%files
%doc CHANGES.rst LICENSE.txt README.rst CONTRIBUTORS.txt
%{python_sitelib}/*

%files -n python3-%{module}
%doc CHANGES.rst LICENSE.txt README.rst CONTRIBUTORS.txt
%{python3_sitelib}/*





%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.7.1-3.mga4
+ Revision: 544254
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.7.1-2.mga4
+ Revision: 499682
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 nmartin <nmartin> 1.7.1-1.mga4
+ Revision: 491108
- Add correct unbundle patch which fixes also ssl import with Python 3
- update to new version 1.7.1

* Wed Aug 28 2013 philippem <philippem> 1.7-1.mga4
+ Revision: 472740
- update to 1.7, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 379657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 ovitters <ovitters> 1.4-1.mga3
+ Revision: 278165
- clean spec
- Import from Mandriva


* Tue Jul 17 2012 Lev Givon <lev@mandriva.org> 1.4-1
+ Revision: 810074
- Update to 1.4.

* Wed Apr 25 2012 Lev Givon <lev@mandriva.org> 1.3-1
+ Revision: 793427
- imported package python-urllib3

